package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformVerifyCode;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformVerifyCodeExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformVerifyCodeMapper {
    long countByExample(ContentPlatformVerifyCodeExample example);

    int deleteByExample(ContentPlatformVerifyCodeExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformVerifyCode record);

    int insertSelective(ContentPlatformVerifyCode record);

    List<ContentPlatformVerifyCode> selectByExample(ContentPlatformVerifyCodeExample example);

    ContentPlatformVerifyCode selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformVerifyCode record, @Param("example") ContentPlatformVerifyCodeExample example);

    int updateByExample(@Param("record") ContentPlatformVerifyCode record, @Param("example") ContentPlatformVerifyCodeExample example);

    int updateByPrimaryKeySelective(ContentPlatformVerifyCode record);

    int updateByPrimaryKey(ContentPlatformVerifyCode record);
}